Ubuntu 8.04.1 : Xen 3.2 package broken ?

I’m trying to install xen on Ubuntu 8.04.1 and here is what I get :

spaghetti% sudo apt-get install ubuntu-xen-server
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:
The following packages have unmet dependencies:
ubuntu-xen-server: Depends: python-xen-3.2 but it is not going to be installed
Depends: xen-utils-3.2 but it is not going to be installed
E: Broken packages

I’ve tried to follow the package dependencies but without success. As for now I’m growing tired of Ubuntu and I’m considering moving away to a more robust distribution … I’d be glad to hear your point of view about that too.

Ubuntu 8.04 + IBM T40 = No sound

If you upgraded your Ubuntu on an IBM T40 Laptop only to find out that there is no sound anymore, you’re not alone in this 😉

Follow the bug report for more information !

Edit 2008-05-11 : As of today I don’t have this problem anymore … update your machine if you haven’t yet !

Edit 2008-06-22 : Sound vanished again … I really need to look into this before this drives me crazy !!

Sound seems to come back and vanish unpredictably reboot after reboot …